Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000018 [DCSS] Bug Report crash always 2009-11-23 12:44 2009-11-25 17:52
Reporter Matthew Cline View Status public  
Assigned To caotto
Priority normal Resolution done  
Status closed   Product Branch 0.6 ancient branch
Summary 0000018: Fedhas retribution crash (memory problem)
Description Sometimes Fedhash retribution will crash. Looks like it might be some sort of memory problem. Valgrind gives a report like this:

Invalid write of size 4
   at 0x8311819: _point_point_distance(std::vector<coord_def, std::allocator<coord_def> >&, std::vector<coord_def, std::allocator<coord_def> >&, bool, std::vector<int, std::allocator<int> >&) (godabil.cc:703)
   by 0x8311B3F: prioritise_adjacent(coord_def const&, std::vector<coord_def, std::allocator<coord_def> >&) (godabil.cc:756)
   by 0x831D6DF: _fedhas_retribution() (godwrath.cc:1063)
   by 0x831DBA4: divine_retribution(god_type, bool) (godwrath.cc:1123)
   by 0x8267757: _godly_wrath() (decks.cc:2481)
   by 0x826A0F7: card_effect(card_type, deck_rarity_type, unsigned char, bool) (decks.cc:2892)
   by 0x85BA34B: wizard_draw_card() (wiz-item.cc:1316)
   by 0x83C567B: _do_wizard_command(int, bool) (main.cc:507)
   by 0x83C5DD6: _handle_wizard_command() (main.cc:693)
   by 0x83C81AC: process_command(command_type) (main.cc:2077)
   by 0x83C7138: _input() (main.cc:1094)
   by 0x83C9F64: main (main.cc:302)
 Address 0x43d3ab0 is 12 bytes after a block of size 20 alloc'd
   at 0x4025090: operator new(unsigned int) (vg_replace_malloc.c:214)
   by 0x81FFA2E: std::_Vector_base<int, std::allocator<int> >::_M_allocate(unsigned int) (stl_vector.h:140)
   by 0x8317437: std::vector<int, std::allocator<int> >::_M_fill_insert(__gnu_cxx::__normal_iterator<int*, std::vector<int, std::allocator<int> > >, unsigned int, int const&) (vector.tcc:414)
   by 0x8317632: std::vector<int, std::allocator<int> >::resize(unsigned int, int) (stl_vector.h:557)
   by 0x831168E: _point_point_distance(std::vector<coord_def, std::allocator<coord_def> >&, std::vector<coord_def, std::allocator<coord_def> >&, bool, std::vector<int, std::allocator<int> >&) (godabil.cc:683)
   by 0x8311B3F: prioritise_adjacent(coord_def const&, std::vector<coord_def, std::allocator<coord_def> >&) (godabil.cc:756)
   by 0x831D6DF: _fedhas_retribution() (godwrath.cc:1063)
   by 0x831DBA4: divine_retribution(god_type, bool) (godwrath.cc:1123)
   by 0x8267757: _godly_wrath() (decks.cc:2481)
   by 0x826A0F7: card_effect(card_type, deck_rarity_type, unsigned char, bool) (decks.cc:2892)
   by 0x85BA34B: wizard_draw_card() (wiz-item.cc:1316)
   by 0x83C567B: _do_wizard_command(int, bool) (main.cc:507)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000041)
caotto (developer)
2009-11-24 03:03

This should be taken care of in master.

- Issue History
Date Modified Username Field Change
2009-11-23 12:44 Matthew Cline New Issue
2009-11-23 17:41 jpeg Issue Monitored: jpeg
2009-11-23 18:28 caotto Status new => assigned
2009-11-23 18:28 caotto Assigned To => caotto
2009-11-23 18:30 caotto Issue Monitored: caotto
2009-11-24 03:03 caotto Note Added: 0000041
2009-11-24 03:04 caotto Status assigned => resolved
2009-11-24 03:04 caotto Resolution open => done
2009-11-24 10:50 jpeg Status resolved => closed
2009-11-25 17:52 Napkin Product Branch => 0.6 development branch
2009-11-25 17:52 Napkin Fixed in Branch => 0.6 development branch


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker